Subject: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Robert Pluim <[email-masked]>
Date: Wed, 20 Dec 2017 12:41:08 +0100

Ted Zlatanov <[email-masked]> writes:

> On Tue, 19 Dec 2017 22:00:34 +0000 Kaushal Modi <[email-masked]> wrote: 
>
> KM> I couldn't test the fix on my local machine because I cannot recreate the
> KM> problem there.
>
> KM> So I was waiting for the emacs-26 branch build to finish on the Travis CI
> KM> set up by Noam.. but the build itself failed:
> KM> https://travis-ci.org/npostavs/emacs-travis/jobs/318857869
>
> KM>   CC       lastfile.o
> KM>   CCLD     temacs
> KM> gnutls.o: In function `Fgnutls_available_p':
> KM> gnutls.c:(.text+0x105d): undefined reference to `gnutls_ext_get_name'
> KM> collect2: error: ld returned 1 exit status
> KM> make[1]: *** [temacs] Error 1
> KM> make[1]: Leaving directory `/tmp/emacs-emacs-26/src'
> KM> make: *** [src] Error 2
> KM> make: Leaving directory `/tmp/emacs-emacs-26'
>
> I don't understand why. This function has been available since GnuTLS
> was created, according to the docs. Do we know what GnuTLS version is used
> in Travis CI?

It fails for me here with GnuTLS-3.4.10. According to
https://lists.gnupg.org/pipermail/gnutls-help/2016-June/004129.html
that function was added in 3.5.1. Looking through the git repo it was
previously an internal function.

Robert